MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Cond Class Reference

`#include <Cond.hxx>`

Inheritance diagram for Cond:
[legend]
Collaboration diagram for Cond:
[legend]

## Additional Inherited Members
Public Member Functions inherited from PosixCond
| PosixCond ()
| ~PosixCond ()
| PosixCond (const PosixCond &other)=delete
PosixCond & | operator= (const PosixCond &other)=delete
void | signal ()
void | broadcast ()
void | wait (PosixMutex &mutex)
bool | timed_wait (PosixMutex &mutex, std::chrono::steady_clock::duration timeout)

## Detailed Description

Definition at line 41 of file Cond.hxx.

The documentation for this class was generated from the following file:

- thread/Cond.hxx